%define url $URL: http://svn.planet-lab.org/svn/DistributedRateLimiting/trunk/DistributedRateLimiting.spec $

# please keep these three lines as they are used by the tagging script
# see build/module-tag.py for details
%define name DistributedRateLimiting
%define version 0.1
%define taglevel 0

%define release %{taglevel}%{?pldistro:.%{pldistro}}%{?date:.%{date}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DRL: Distributed Rate Limiting
Group:		Network/Monitoring
License:	Academic
URL: %(echo %{url} | cut -d ' ' -f 2)
Source0:	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Provides:	DistributedRateLimiting

%description
DistributedRateLimiting - Coordinates rate limiting among multiple nodes as if
was a centralized limiter.

%prep
%setup
aclocal
autoconf
%configure --without-mysql --without-pgsql --without-pcap

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_libdir}/ulogd
mkdir -p %{buildroot}/%{_sbindir}/sbin
mkdir -p %{buildroot}/%{_mandir}/man8
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install ulogd.init %{buildroot}/%{_sysconfdir}/rc.d/init.d/ulogd
install ulogd.8 %{buildroot}/%{_mandir}/man8/ulogd.8
install -D -m 644 ulogd.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/ulogd
		
%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_sbindir}/ulogd
%attr(0755,root,root) %{_bindir}/netflow-import
%{_sysconfdir}/ulogd.conf
%{_sysconfdir}/drl.xml
%{_sysconfdir}/logrotate.d/ulogd
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/ulogd
%{_mandir}/man8/*
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_NETFLOW.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_DRL.so
%doc COPYING AUTHORS README
%doc doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html

%changelog
* Tue Oct 14 2008 Kevin Webb <kcwebb@cs.ucsd.edu> - DistributedRateLimiting-0.1
- Created this spec file.  Doing my best to import the DRL code into the PlanetLab build system.


%define module_current_branch 0.1
